%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define pango_version 1.2.5
%define gtk2_version 2.2.4
%define libglade2_version 2.0.1
%define libgnomeui_version 2.4.0.1
%define libgnomecanvas_version 2.4.0
%define librsvg2_version 2.4.0
%define libxml2_version 2.5.11
%define scrollkeeper_version 0.3.12
%define gail_version 1.4.0
%define scrollkeeper_version 0.3.12

%define desktop_file_utils_version @desktop_file_utils_version@

Summary: 	The GNOME Display Manager.
Name: 		gdm
Version: 	2.4.4.0
Release: 	2
License: 	LGPL/GPL
Group:		User Interface/X
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/gdm-%{version}.tar.bz2

Patch0:		gdm-2.4.4.0-aix.patch
Patch1:		gdm-2.4.4.0-autotools.patch

URL: 		ftp://ftp.gnome.org/pub/GNOME/sources/gdm/

BuildRoot: %{_tmppath}/gdm-%{version}-root

Requires: gtk2 >= %{gtk2_version}
Requires: libglade2 >= %{libglade2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: libgnomecanvas >= %{libgnomecanvas_version}
Requires: librsvg2 >= %{librsvg2_version}
Requires: libxml2 >= %{libxml2_version}
PreReq:   scrollkeeper >= %{scrollkeeper_version}

BuildRequires: scrollkeeper >= %{scrollkeeper_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: librsvg2-devel >= %{librsvg2_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gail-devel >= %{gail_version}

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gdm-2.4.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/gdm-2.4.4.0-autotools.patch


%build
CPPFLAGS="-I%{_includedir}" LDFLAGS="-L%{_libdir}" PATH=%{_bindir}:$PATH \
./configure --prefix=%{_prefix} --enable-authentication-scheme=crypt
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%pre
# make a group named "gdm"
lsgroup gdm >/dev/null 2>&1
if [ $? -ne 0 ]
then
  mkgroup gdm
fi
# make a user named "gdm"
lsuser gdm >/dev/null 2>&1
if [ $? -ne 0 ]
then
  mkuser groups=gdm gdm 
fi

%post
# /sbin/ldconfig
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

# # Attempt to restart GDM softly by use of the fifo.  Wont work on older
# # then 2.2.3.1 versions but should work nicely on later upgrades.
# # FIXME: this is just way too complex
FIFOFILE=`grep '^ServAuthDir=' %{_sysconfdir}/gdm/gdm.conf | sed -e 's/^ServAuthDir=//'`
if test x$FIFOFILE = x ; then
	FIFOFILE=%{localstatedir}/gdm/.gdmfifo
else
	FIFOFILE="$FIFOFILE"/.gdmfifo
fi
PIDFILE=`grep '^PidFile=' %{_sysconfdir}/gdm/gdm.conf | sed -e 's/^PidFile=//'`
if test x$PIDFILE = x ; then
	PIDFILE=/var/run/gdm.pid
else
	mkdir -p -m 755 `dirname $PIDFILE`
fi
if test -w $FIFOFILE && test -f $PIDFILE && kill -0 `cat $PIDFILE` ; then
	(echo;echo SOFT_RESTART) >> $FIFOFILE
fi
# ignore error in the above
# Following is for sessreg registration strategy in
# /opt/freeware/etc/gdm/PreSession/Default
mkdir -p -m 755 /dev/gdm
# Following is for "stat /proc/mounts" errors in nautilus
touch /etc/mtab
exit 0

%postun
# /sbin/ldconfig
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%files
%defattr(-, root, system)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/gdm
%config %{_sysconfdir}/gdm/gdm.conf
%{_sysconfdir}/gdm/factory-gdm.conf
%config %{_sysconfdir}/gdm/XKeepsCrashing
%config %{_sysconfdir}/gdm/locale.alias
%config %{_sysconfdir}/dm/Sessions/*
%config %{_sysconfdir}/gdm/Init/*
%config %{_sysconfdir}/gdm/PreSession/*
%config %{_sysconfdir}/gdm/PostSession/*
%config %{_sysconfdir}/gdm/Xsession
%config %{_sysconfdir}/gdm/PostLogin/*
%config %{_sysconfdir}/gdm/modules/*
# %config %{_sysconfdir}/gdm/gnomerc

# %config /etc/pam.d/gdm
# %config /etc/pam.d/gdmsetup
# %config /etc/pam.d/gdm-autologin
# %config /etc/security/console.apps/gdmsetup
%dir %{_sysconfdir}/dm/Sessions
%dir %{_sysconfdir}/gdm/Init
%dir %{_sysconfdir}/gdm/PreSession
%dir %{_sysconfdir}/gdm/PostSession
%dir %{_sysconfdir}/gdm/PostLogin
%dir %{_sysconfdir}/gdm/modules

%{_datadir}/pixmaps
%{_datadir}/gdm
%{_datadir}/applications
%{_datadir}/gnome/
%{_datadir}/locale/*/LC_MESSAGES/gdm-2.4.mo
%{_datadir}/omf/*

%{_bindir}/*
%{_sbindir}/*
# %{_localstatedir}/log/gdm

%{_libdir}/gtk-2.0/modules/*
%{_prefix}/libexec/*
%{_mandir}/man1/*

/usr/bin/*

%attr(750, gdm, gdm) %dir %{_localstatedir}/gdm

